SDL_GetPixelFormatDetails(3)

NAME
SDL_GetPixelFormatDetails - Create an SDL_PixelFormatDetails structure corresponding to a pixel format.

SYNOPSIS
#include <SDL3/SDL_pixels.h>

const SDL_PixelFormatDetails * SDL_GetPixelFormatDetails(SDL_PixelFormat format);

DESCRIPTION
Returned structure may come from a shared global cache (i.e. not newly allocated), and hence should not be modified, especially the palette. Weird errors such as Blit combination not supported may occur.

FUNCTION PARAMETERS

format
    one of the SDL_PixelFormat values.

RETURN VALUE
*) Returns a pointer to a SDL_PixelFormatDetails structure or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.